Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema
Class XUtil

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.XUtil

public class XUtil
extends java.lang.Object

Some useful utility methods.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`protected` | `XUtil()` This class cannot be instantiated.

Method Summary
`static void` | `copyInto(org.w3c.dom.Node src, org.w3c.dom.Node dest)` Copies the source tree into the specified place in a destination tree.
`static java.lang.String` | `getChildText(org.w3c.dom.Node node)` Returns the concatenated child text of the specified node.
`static org.w3c.dom.Element` | `getFirstChildElement(org.w3c.dom.Node parent)` Finds and returns the first child element node.
`static org.w3c.dom.Element` | `getFirstChildElement(org.w3c.dom.Node parent, java.lang.String elemName)` Finds and returns the first child node with the given name.
`static org.w3c.dom.Element` | `getFirstChildElement(org.w3c.dom.Node parent, java.lang.String[] elemNames)` Finds and returns the first child node with the given name.
`static org.w3c.dom.Element` | `getFirstChildElement(org.w3c.dom.Node parent, java.lang.String elemName, java.lang.String attrName, java.lang.String attrValue)` Finds and returns the first child node with the given name and attribute name, value pair.
`static org.w3c.dom.Element` | `getFirstChildElementNS(org.w3c.dom.Node parent, java.lang.String[][] elemNames)` Finds and returns the first child node with the given qualified name.
`static org.w3c.dom.Element` | `getFirstChildElementNS(org.w3c.dom.Node parent, java.lang.String uri, java.lang.String localpart)` Finds and returns the first child node with the given qualified name.
`static org.w3c.dom.Element` | `getLastChildElement(org.w3c.dom.Node parent)` Finds and returns the last child element node.
`static org.w3c.dom.Element` | `getLastChildElement(org.w3c.dom.Node parent, java.lang.String elemName)` Finds and returns the last child node with the given name.
`static org.w3c.dom.Element` | `getLastChildElement(org.w3c.dom.Node parent, java.lang.String[] elemNames)` Finds and returns the last child node with the given name.
`static org.w3c.dom.Element` | `getLastChildElement(org.w3c.dom.Node parent, java.lang.String elemName, java.lang.String attrName, java.lang.String attrValue)` Finds and returns the last child node with the given name and attribute name, value pair.
`static org.w3c.dom.Element` | `getLastChildElementNS(org.w3c.dom.Node parent, java.lang.String[][] elemNames)` Finds and returns the last child node with the given qualified name.
`static org.w3c.dom.Element` | `getLastChildElementNS(org.w3c.dom.Node parent, java.lang.String uri, java.lang.String localpart)` Finds and returns the last child node with the given qualified name.
`static org.w3c.dom.Element` | `getNextSiblingElement(org.w3c.dom.Node node)` Finds and returns the next sibling element node.
`static org.w3c.dom.Element` | `getNextSiblingElement(org.w3c.dom.Node node, java.lang.String elemName)` Finds and returns the next sibling node with the given name.
`static org.w3c.dom.Element` | `getNextSiblingElement(org.w3c.dom.Node node, java.lang.String[] elemNames)` Finds and returns the next sibling node with the given name.
`static org.w3c.dom.Element` | `getNextSiblingElement(org.w3c.dom.Node node, java.lang.String elemName, java.lang.String attrName, java.lang.String attrValue)` Finds and returns the next sibling node with the given name and attribute name, value pair.
`static org.w3c.dom.Element` | `getNextSiblingElementNS(org.w3c.dom.Node node, java.lang.String[][] elemNames)` Finds and returns the next sibling node with the given qualified name.
`static org.w3c.dom.Element` | `getNextSiblingElementNS(org.w3c.dom.Node node, java.lang.String uri, java.lang.String localpart)` Finds and returns the next sibling node with the given qualified name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XUtil

    protected XUtil()

  This class cannot be instantiated.

Method Detail

### copyInto

    public static void copyInto(org.w3c.dom.Node src,
                                org.w3c.dom.Node dest)
                         throws org.w3c.dom.DOMException

  Copies the source tree into the specified place in a destination tree. The source node and its children are appended as children of the destination node.

  Note: This is an iterative implementation.

### getFirstChildElement

    public static org.w3c.dom.Element getFirstChildElement(org.w3c.dom.Node parent)

  Finds and returns the first child element node.

### getLastChildElement

    public static org.w3c.dom.Element getLastChildElement(org.w3c.dom.Node parent)

  Finds and returns the last child element node.

### getNextSiblingElement

    public static org.w3c.dom.Element getNextSiblingElement(org.w3c.dom.Node node)

  Finds and returns the next sibling element node.

### getFirstChildElement

    public static org.w3c.dom.Element getFirstChildElement(org.w3c.dom.Node parent,
                                                           java.lang.String elemName)

  Finds and returns the first child node with the given name.

### getLastChildElement

    public static org.w3c.dom.Element getLastChildElement(org.w3c.dom.Node parent,
                                                          java.lang.String elemName)

  Finds and returns the last child node with the given name.

### getNextSiblingElement

    public static org.w3c.dom.Element getNextSiblingElement(org.w3c.dom.Node node,
                                                            java.lang.String elemName)

  Finds and returns the next sibling node with the given name.

### getFirstChildElementNS

    public static org.w3c.dom.Element getFirstChildElementNS(org.w3c.dom.Node parent,
                                                             java.lang.String uri,
                                                             java.lang.String localpart)

  Finds and returns the first child node with the given qualified name.

### getLastChildElementNS

    public static org.w3c.dom.Element getLastChildElementNS(org.w3c.dom.Node parent,
                                                            java.lang.String uri,
                                                            java.lang.String localpart)

  Finds and returns the last child node with the given qualified name.

### getNextSiblingElementNS

    public static org.w3c.dom.Element getNextSiblingElementNS(org.w3c.dom.Node node,
                                                              java.lang.String uri,
                                                              java.lang.String localpart)

  Finds and returns the next sibling node with the given qualified name.

### getFirstChildElement

    public static org.w3c.dom.Element getFirstChildElement(org.w3c.dom.Node parent,
                                                           java.lang.String[] elemNames)

  Finds and returns the first child node with the given name.

### getLastChildElement

    public static org.w3c.dom.Element getLastChildElement(org.w3c.dom.Node parent,
                                                          java.lang.String[] elemNames)

  Finds and returns the last child node with the given name.

### getNextSiblingElement

    public static org.w3c.dom.Element getNextSiblingElement(org.w3c.dom.Node node,
                                                            java.lang.String[] elemNames)

  Finds and returns the next sibling node with the given name.

### getFirstChildElementNS

    public static org.w3c.dom.Element getFirstChildElementNS(org.w3c.dom.Node parent,
                                                             java.lang.String[][] elemNames)

  Finds and returns the first child node with the given qualified name.

### getLastChildElementNS

    public static org.w3c.dom.Element getLastChildElementNS(org.w3c.dom.Node parent,
                                                            java.lang.String[][] elemNames)

  Finds and returns the last child node with the given qualified name.

### getNextSiblingElementNS

    public static org.w3c.dom.Element getNextSiblingElementNS(org.w3c.dom.Node node,
                                                              java.lang.String[][] elemNames)

  Finds and returns the next sibling node with the given qualified name.

### getFirstChildElement

    public static org.w3c.dom.Element getFirstChildElement(org.w3c.dom.Node parent,
                                                           java.lang.String elemName,
                                                           java.lang.String attrName,
                                                           java.lang.String attrValue)

  Finds and returns the first child node with the given name and attribute name, value pair.

### getLastChildElement

    public static org.w3c.dom.Element getLastChildElement(org.w3c.dom.Node parent,
                                                          java.lang.String elemName,
                                                          java.lang.String attrName,
                                                          java.lang.String attrValue)

  Finds and returns the last child node with the given name and attribute name, value pair.

### getNextSiblingElement

    public static org.w3c.dom.Element getNextSiblingElement(org.w3c.dom.Node node,
                                                            java.lang.String elemName,
                                                            java.lang.String attrName,
                                                            java.lang.String attrValue)

  Finds and returns the next sibling node with the given name and attribute name, value pair. Since only elements have attributes, the node returned will be of type Node.ELEMENT_NODE.

### getChildText

    public static java.lang.String getChildText(org.w3c.dom.Node node)

  Returns the concatenated child text of the specified node. This method only looks at the immediate children of type `Node.TEXT_NODE` or the children of any child node that is of type `Node.CDATA_SECTION_NODE` for the concatenation.

  Parameters:
    `node` - The node to look at.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference